Module java.desktop
Package javax.swing.plaf.basic

# Class BasicInternalFrameUI.GlassPaneDispatcher

java.lang.Object
javax.swing.plaf.basic.BasicInternalFrameUI.GlassPaneDispatcher

All Implemented Interfaces:
  `MouseListener`, `MouseMotionListener`, `EventListener`, `MouseInputListener`

Enclosing class:
  BasicInternalFrameUI

    protected class BasicInternalFrameUI.GlassPaneDispatcher
    extends Object
    implements MouseInputListener

Glass pane dispatcher.

## Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `GlassPaneDispatcher()` |

## Method Summary

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods declared in interface java.awt.event.MouseListener

`mouseClicked, mouseEntered, mouseExited, mousePressed, mouseReleased`

### Methods declared in interface java.awt.event.MouseMotionListener

`mouseDragged, mouseMoved`

## Constructor Details

### GlassPaneDispatcher

protected GlassPaneDispatcher()